Menu 1-800-630-4694

eDirectory Support Portal

Search our growing knowledge base for helpful resources like articles, videos, and GIFs to master your online directory website software as quickly as possible or to learn more about how it all works here at eDirectory.com. Anything need to be updated? Let us know here!

How do I add support for a new Language*?

Last Updated: Mar 08, 2016 10:25AM BRT
**Customizing the eDirectory code requires an owned license version, as well as expertise with PHP development, CSS, MySQL, and the linux operating system.   eDirectory Support is not able to troubleshoot or assist with code customizations, however our Custom Development group is available for consulting engagements.  Make backups before making changes.**

eDirectory comes with language files for English, Brazilian Portuguese, French, Spanish, Italian, and Turkish, and German.  Here are some instructions for adding an additional language:

Each language has 3 files containing the translations that are located in the /lang folder.  



For example, for Brazilian Portuguese the files are:
 
/lang/pt_br.php                   (main translation file)
/lang/pt_br_sitemgr.php    (translations for site manager area)
/lang/pt_br.js                      (translations used in javascript functions)

The easiest way to add support for a new language, is take the files for a language you are not using, and put in translations for your new language.   All 3 files must be translated




2. After this is done, you can change the label for the language (from Brazilian Portuguese to whatever your new language is) in /conf/constants.inc.php

3.  Then activate your new language in the web administration area http://www.yourdomain.com/sitemgr by clicking "Language Center" on the left nav bar.





Note:  eDirectory was written for left to right languages like English. Languages that are not left to right will likely experience layout problems.  

Note 2:  eDirectory was written for the UTF-8 character set.  Other character sets may cause system problems.

*Version 9.6 and below